#Include once "window9.bi"

Function RebarGadget(ByVal gadget As Integer,ByVal Style1 As Integer=WS_CLIPCHILDREN  Or WS_CLIPSIBLINGS  Or  RBS_VARHEIGHT  Or  RBS_AUTOSIZE  Or RBS_BANDBORDERS  Or  CCS_ADJUSTABLE  Or  CCS_TOP  Or  CCS_NODIVIDER,ByVal Style2 As Integer =0) As HWND Export
  Dim As HWND wnd= CreateWindowEx(Style2, REBARCLASSNAME, NULL, WS_CHILD Or WS_VISIBLE Or style1, _
                                   0,0,0,0,Cast(HWND,GETGURRENTAL()), Cast(HMENU,gadget), 0, NULL)
  ADDIN9999 (gadget,wnd)
  If GGF()<>0 Then
    SendMessage(wnd,WM_SETFONT,GGF(),0)
  End If
  Return wnd
End Function
